
#include <jagdefs.h>
#include <jagtypes.h>
#include <stdlib.h>
#include <interrupt.h>
#include <display.h>
#include <sprite.h>
#include <screen.h>
#include <fb2d.h>
#include <sound.h>
#include <joypad.h>
#include <console.h> 
#include <lz77.h>

#define BGCOLORDELAYTIME 48

extern char song;

int main () {
    
    int bgColorDelay = BGCOLORDELAYTIME;
    TOMREGS->bg = 0x457A;
  
    TOMREGS->vmode = RGB16|CSYNC|BGEN|PWIDTH4|VIDEN;

    init_interrupts();
    init_display_driver();
  
    display *d = new_display(0);
        d-> x = 19;
        d-> y = 7;

    int replay_freq = 14800;
    replay_freq = 20000;
    replay_freq = init_sound_driver(replay_freq);
  
    show_display(d);
    
    //start music
    init_module(&song,1);
    vblQueue[0] = play_module;
    
    while(1){
        
        vsync();
        
        //change bg color for visual cue that program is running
        if(bgColorDelay != 0){
            bgColorDelay--;
        }
        
        else{
            TOMREGS->bg = rand() % 0xFFFF + 0x0001;
            bgColorDelay = BGCOLORDELAYTIME;
        }
        
        
    }
    
}
